Deprecate the low level HMAC functions
[openssl.git] / crypto / rand / drbg_hmac.c
index 3bda6c0..241619a 100644 (file)
@@ -7,6 +7,12 @@
  * https://www.openssl.org/source/license.html
  */
 
  * https://www.openssl.org/source/license.html
  */
 
+/*
+ * HMAC low level APIs are deprecated for public use, but still ok for internal
+ * use.
+ */
+#include "internal/deprecated.h"
+
 #include <stdlib.h>
 #include <string.h>
 #include <openssl/crypto.h>
 #include <stdlib.h>
 #include <string.h>
 #include <openssl/crypto.h>